package asets.gui;

import javax.swing.JApplet;
import javax.swing.JLabel;

import asets.gui.application.IApplication;
import asets.gui.application.TradingGUI;
import asets.gui.menus.MainMenu;

public class ASETSApplet extends JApplet implements IApplication {
	private static final long serialVersionUID = -1960683808072632579L;
	private TradingGUI gui = null;
	
	@Override
	public void init() {
		
		this.gui = new TradingGUI(this);
		this.gui.setOpaque(true);
		this.setContentPane(gui);

		this.setSize(800, 600);
		
		super.init();
	}

	@Override
	public void stop() {
		this.gui.destroy();
		super.stop();
	}

	@Override
	public void setTitle(String title) {
		/* no implementation, cannot set title in an applet */
	}
	
	@Override
	public void setMenu(MainMenu menu) {
		// for applet, add the icon to the menu
		JLabel asetsIcon = new JLabel();
		asetsIcon.setIcon(new javax.swing.ImageIcon(getClass().getResource("/asets/gui/resources/ASETS_logo_16x16x32.png")));
		menu.add(asetsIcon, 0);
		
		this.setJMenuBar(menu);
	}

	@Override
	public int getWindowX() {
		return this.getX();
	}

	@Override
	public int getWindowY() {
		return this.getY();
	}
	

	@Override
	public int getWindowWidth() {
		return this.getWidth();
	}

	@Override
	public int getWindowHeight() {
		return this.getHeight();
	}
	
}
