package asets.gui;

import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;
import javax.swing.JMenuItem;

import asets.gui.application.IApplication;
import asets.gui.application.TradingGUI;
import asets.gui.menus.MainMenu;

public class ASETSApplication extends JFrame implements IApplication {
	private static final long serialVersionUID = 3367821034801407361L;
	private TradingGUI gui = null;

	public static void main(String[] args) {
		final ASETSApplication webstartApp = new ASETSApplication();
		webstartApp.init();
		
	}
	
	@Override
	public void init() {
		this.gui = new TradingGUI(this);
		this.gui.setOpaque(true);
		this.setContentPane(this.gui);

		this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				stop();
			}
		});

		this.setLocationByPlatform(true);
		this.setPreferredSize(new Dimension(800, 600));
		this.setIconImage(new javax.swing.ImageIcon(getClass().getResource("/asets/gui/resources/ASETS_logo_32x32x32.png")).getImage());
		
		this.pack();
		this.setVisible(true);
	}
	
	@Override
	public void stop() {
		this.gui.destroy();
		System.exit(0);
	}
	
	@Override
	public void setTitle(String title) {
		super.setTitle(title);
	}

	@Override
	public void setMenu(MainMenu menu) {
		// add exit to the menu
		JMenuItem exit = new JMenuItem("Exit");
		exit.setMnemonic('x');
		exit.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				gui.destroy();
				System.exit(0);
			}
		});
		menu.getSessionMenu().addSeparator();
		menu.getSessionMenu().add(exit);
		
		this.setJMenuBar(menu);
	}

	@Override
	public int getWindowX() {
		return this.getX();
	}

	@Override
	public int getWindowY() {
		return this.getY();
	}

	@Override
	public int getWindowWidth() {
		return this.getWidth();
	}

	@Override
	public int getWindowHeight() {
		return this.getHeight();
	}
	
}
