/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;
import asets.api.*;
import javax.jms.JMSException;

public class GUIInstrumentOrderListSenderWithReply extends OrderListSenderWithReply{
	public GUIInstrumentOrderListSenderWithReply(String imqAddress, String requestQueueName,
			String replyQueueName, String userID) throws JMSException, Exception
			{
		super(imqAddress, requestQueueName, replyQueueName, userID);
			}

	@Override
	public OrderList sendControlGetReply(Control control) throws JMSException, Exception {
		return super.sendControlGetReply(control);
	}


}
