/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;
import asets.api.*;
import javax.jms.*;

public class GUILogOutSenderNoReply extends LogOutSenderNoReply {
    public GUILogOutSenderNoReply(String imqAddress, String queueName, String userID) throws JMSException, Exception
    {
        super(imqAddress, queueName, userID);
    }

    @Override
    public void sendLogOut(Control control) throws JMSException {
        System.out.println("Sending logout...");
        super.sendLogOut(control);
    }  
}
