/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others (see below) 
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 *
 * @authors
 * ION GEORGE DANIEL        tzantzarel2003@yahoo.com
 * ION MONICA RALUCA        devilmonik@yahoo.com
 * IONESCU ALEXANDRU PAUL   vine_wayne@yahoo.com
 * IVAN RADU MARIAN         raduiv@yahoo.com
 * IVANOV IRINA             irina.ivanov@yahoo.com
 * JURUBITA ANDREI HARITON  bytz6@yahoo.com
 * RADU ANA MARIA           amy3k_ro@yahoo.com
 * SOROCEAN GHEORGHE        clm022003@yahoo.com
 * UTA BOGDAN               thesefirah@yahoo.com
 * 
 */

package asets.gui.communication;
import javax.jms.JMSException;

import asets.api.Control;
import asets.api.OrderList;
import asets.api.OrderListSenderWithReply;

public class GUIOrderListSenderWithReply extends OrderListSenderWithReply{
    public GUIOrderListSenderWithReply(String imqAddress, String requestQueueName,
            String replyQueueName, String userID) throws JMSException, Exception
    {
        super(imqAddress, requestQueueName, replyQueueName, userID);
    }

    @Override
    public OrderList sendControlGetReply(Control control) throws JMSException, Exception {
        OrderList orderList = super.sendControlGetReply(control);
        return orderList;
    }
}
