/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;

import javax.jms.JMSException;

import asets.api.Order;
import asets.api.OrderSenderWithReply;
import asets.gui.application.TradingGUI;

public class GUIOrderSenderWithReply extends OrderSenderWithReply
{
    TradingGUI parentApplet;

    public GUIOrderSenderWithReply(String imqAddress, String requestQueueName,
            String replyQueueName, String userID, TradingGUI parentApplet) throws JMSException, Exception
    {
        super(imqAddress, requestQueueName, replyQueueName, userID);
        this.parentApplet = parentApplet;
    }

    @Override
    public Order sendOrderGetReply(Order order) throws JMSException, Exception {
        parentApplet.resetTime();
        return super.sendOrderGetReply(order);
    }
}
