/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;

import javax.jms.JMSException;

import asets.api.Control;
import asets.api.PortfolioList;
import asets.api.PortfolioListSenderWithReply;
import asets.gui.application.TradingGUI;

/**
 *
 * @author papadie
 */
public class GUIPortfolioListSenderWithReply extends PortfolioListSenderWithReply {
    private TradingGUI parentApplet;

    public GUIPortfolioListSenderWithReply(String imqAddress, String requestQueueName,
            String replyQueueName, String userID, TradingGUI parentApplet) throws JMSException, Exception {
        super(imqAddress, requestQueueName, replyQueueName, userID);
        this.parentApplet = parentApplet;
    }

    @Override
    public PortfolioList sendControlGetReply(Control control) throws JMSException, Exception {
        System.out.println("Sending portfolio request...");
        parentApplet.resetTime();
        return super.sendControlGetReply(control);
    }
}
