/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;
import javax.jms.JMSException;

import asets.api.Price;
import asets.api.PriceSubscriber;
import asets.gui.application.TradingGUI;


public class GUIPriceSubscriber extends PriceSubscriber
{
    TradingGUI app;
    
    public GUIPriceSubscriber(String imqAddress, String topicName, String userID,TradingGUI app)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
        this.app = app;
    }

    @Override
     protected void processPrice(Price price) throws Exception
    {
       /*
       String symbol = price.getSymbol();
       int index = 0;
       if (app.porftolioJFrame != null) {
            SortedMap sortedMapPortfolio = app.porftolioJFrame.getSortedMapPortfolio();
            if (sortedMapPortfolio != null) {
                index = Integer.parseInt(sortedMapPortfolio.get(symbol).toString());
            }
            SpecializedTableModel model = (SpecializedTableModel)app.porftolioJFrame.getJTable1().getModel();
            model.setValueAt(price.getClosePrice(), index, 3);
       }
       */
    }
}
