/**
 * Title:       GUI MQ class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Provides a convenient API for GUI to easily communicate with
 * other modules through a MQ broker
 */

package asets.gui.communication;
import asets.api.*;
import asets.gui.application.TradingGUI;

import javax.jms.JMSException;

/**
 *
 * @author Alin
 */
public class GUITradeListSenderWithReply extends TradeListSenderWithReply {

     private TradingGUI parentApplet;

    public GUITradeListSenderWithReply(String imqAddress, String requestQueueName,
            String replyQueueName, String userID, TradingGUI parentApplet) throws JMSException, Exception
    {
        super(imqAddress, requestQueueName, replyQueueName, userID);
        this.parentApplet = parentApplet;
    }

    @Override
    public TradeList sendControlGetReply(Control control) throws JMSException, Exception {
        System.out.println("Sending trades request");
        parentApplet.resetTime();
        return super.sendControlGetReply(control);
    }
}
