/**
 * Title:       UseFileDialog (ASE Trading System)
 * ClassName:   UseFileDialog.java
 * Created:     January 22, 2010
 * Author:      Marius Stefan Paune
 * Email :      marius_paune@yahoo.com
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Used for opening a save dialog
 */

package asets.gui.core;
import java.awt.FileDialog;
import java.awt.Frame;

/**
 *
 * @author Marius
 */
public class UseFileDialog {

    public static String saveFile(Frame f, String title, String defDir, String fileType) {
        FileDialog fd = new FileDialog(f, title, FileDialog.SAVE);
        fd.setFile(fileType);
        fd.setDirectory(defDir);
        fd.setLocationRelativeTo(f);
        fd.setVisible(true);
        return fd.getFile() != null ? fd.getDirectory() + System.getProperty("file.separator") + fd.getFile() : null;
    }
}
