package asets.gui.frames;

import asets.api.Enums;
import asets.api.Instrument;
import asets.gui.application.TradingGUI;

import java.util.Collection;
import java.util.Iterator;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.SwingUtilities;


public class BuyFrame extends AbstractOrdersFrame{

    private static final long serialVersionUID = 1L;

    public BuyFrame(TradingGUI parentApplet) {
    this.parentApplet = parentApplet;
    this.instrumentList = parentApplet.getInstrumentList();
    this.side = Enums.Side.BUY;

    setTitle("New order - BUY");
    setIconImage(new javax.swing.ImageIcon(getClass().getResource("/asets/gui/resources/ASETS_logo_32x32x32.png")).getImage());
    setDefaultCloseOperation(HIDE_ON_CLOSE); // this will allow the listener to dispose of this
            setResizable(false);

    initComponents();
    setLocationRelativeTo(parentApplet);

    SwingUtilities.invokeLater( new Runnable() {
                    @Override
                    public void run() {
                            populateSymbolComboBox();
                    }
            });
        
    }


    /**
     * Populates the symbols select-box with previous retrieved instruments
     */
    private void populateSymbolComboBox() {
        if (instrumentList != null) {
            Collection<Instrument> c = instrumentList.getInstrumentList().values();
            String[] symbols = new String[c.size()];
            int i=0;
            Iterator<Instrument> it = c.iterator();
            while (it.hasNext()) {
                symbols[i] = it.next().getSymbol();
                i++;
            }
            ComboBoxModel cbM = new DefaultComboBoxModel(symbols);
            symbolComboBox.setModel(cbM);
        }
    }

    protected void initComponents() {
    	initCommonComponent();
        pack();
    }

}
