/**
 * Title:       Welcome Panel class for ASETS project (ASE Trading System)
 * Author:      Claudiu Vinte (claudiu.vinte@ase.ro) and others
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements the functionality for a Welcome panel in GUI which is
 * 				displayed when the user is not logged in
 */

package asets.gui.panels;

import java.awt.GridBagConstraints;
import java.awt.Insets;

import javax.swing.JLabel;

import asets.gui.application.TradingGUI;

/**
 * @author Adrian Bardan
 */
public class WelcomePanel extends javax.swing.JPanel {
	private static final long serialVersionUID = 1L;
	protected TradingGUI parentApplet;

	public WelcomePanel(TradingGUI parentApplet) {
		this.parentApplet = parentApplet;
		setLayout(new java.awt.GridBagLayout());

		JLabel img = new JLabel();
		img.setIcon( new javax.swing.ImageIcon(getClass().getResource("/asets/gui/resources/asets-welcome-logo.png")));
		add(img, new GridBagConstraints(0, 0, 1, 1, 0, 0, GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 20, 0), 0, 0));

		setBounds(0, 0, parentApplet.getWidth(), parentApplet.getHeight());
	}


}
